System 2.0.0.0 4.0.0.0 System.Enum

This enumeration is used with the property.

Specifies the control protocol used in establishing a serial port communication for a object.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.Handshake

  No control is used for the handshake.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.Handshake

  Request-to-Send (RTS) hardware flow control is used. RTS signals that data is available for transmission. If the input buffer becomes full, the RTS line will be set to false. The RTS line will be set to true when more room becomes available in the input buffer.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.Handshake

  Both the Request-to-Send (RTS) hardware control and the XON/XOFF software controls are used.

- Field
  2.0.0.0
  4.0.0.0
  System.IO.Ports.Handshake

  The XON/XOFF software control protocol is used. The XOFF control is sent to stop the transmission of data. The XON control is sent to resume the transmission. These software controls are used instead of Request to Send (RTS) and Clear to Send (CTS) hardware controls.